<html>
<head>
<title>OgreGLATIFSInit.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_5bc5f2f46c6364f2594540d45df3d051.html">GL</a>      </li>
      <li class="navelem"><a class="el" href="dir_f7b8a29f58b064e3a63f570f2fc89729.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">OgreGLATIFSInit.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>&quot;</code><br/>
</div>
<p><a href="OgreGLATIFSInit_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#a94cae592733859102da037c0faf73fbd">InitATIFragmentShaderExtensions</a> (<a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a> &amp;glSupport)</td></tr>
<tr><td colspan="2"><h2><a name="var-members"></a>
Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLGENFRAGMENTSHADERSATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#a78481bfe7a49faab3b4ce3019be0da03">glGenFragmentShadersATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLBINDFRAGMENTSHADERATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#ae9814e6c0179dc0ac79499d8312aa788">glBindFragmentShaderATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLDELETEFRAGMENTSHADERATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#a38f5e28762e4f9ff0902c568cfa8ee84">glDeleteFragmentShaderATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLBEGINFRAGMENTSHADERATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#ac6e7be47ca475350583bb220ede8398d">glBeginFragmentShaderATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLENDFRAGMENTSHADERATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#a2e8f1f618fec1442de15e6bd61267fb4">glEndFragmentShaderATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLPASSTEXCOORDATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#abf69d0ea3c86f1de1828f72af54c1d16">glPassTexCoordATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLSAMPLEMAPATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#a895a670f89172c12ffb5ea675682894c">glSampleMapATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLCOLORFRAGMENTOP1ATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#aff166f57c569c3f39c2e61bd8bf67d29">glColorFragmentOp1ATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLCOLORFRAGMENTOP2ATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#a0aa03f3894d0d42aa4602c4991376c17">glColorFragmentOp2ATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLCOLORFRAGMENTOP3ATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#a36ac91ab5e5f6c8d0e955803f4c6edc4">glColorFragmentOp3ATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLALPHAFRAGMENTOP1ATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#a4274f1cd7760a2c39d5a2227c8ccec8f">glAlphaFragmentOp1ATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLALPHAFRAGMENTOP2ATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#aa9da27151b2aef075f085f02516ce35b">glAlphaFragmentOp2ATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLALPHAFRAGMENTOP3ATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#a643e71fa7b81313c89ad873d91158edc">glAlphaFragmentOp3ATI_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PFNGLSETFRAGMENTSHADERCONSTANTATIPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLATIFSInit_8h.html#aca19da1e21780d7678d2033afacb8f52">glSetFragmentShaderConstantATI_ptr</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a94cae592733859102da037c0faf73fbd"></a><!-- doxytag: member="OgreGLATIFSInit.h::InitATIFragmentShaderExtensions" ref="a94cae592733859102da037c0faf73fbd" args="(Ogre::GLSupport &amp;glSupport)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="OgreGLATIFSInit_8h.html#a94cae592733859102da037c0faf73fbd">InitATIFragmentShaderExtensions</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a> &amp;&#160;</td>
          <td class="paramname"><em>glSupport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="a4274f1cd7760a2c39d5a2227c8ccec8f"></a><!-- doxytag: member="OgreGLATIFSInit.h::glAlphaFragmentOp1ATI_ptr" ref="a4274f1cd7760a2c39d5a2227c8ccec8f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLALPHAFRAGMENTOP1ATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#a4274f1cd7760a2c39d5a2227c8ccec8f">glAlphaFragmentOp1ATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa9da27151b2aef075f085f02516ce35b"></a><!-- doxytag: member="OgreGLATIFSInit.h::glAlphaFragmentOp2ATI_ptr" ref="aa9da27151b2aef075f085f02516ce35b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLALPHAFRAGMENTOP2ATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#aa9da27151b2aef075f085f02516ce35b">glAlphaFragmentOp2ATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a643e71fa7b81313c89ad873d91158edc"></a><!-- doxytag: member="OgreGLATIFSInit.h::glAlphaFragmentOp3ATI_ptr" ref="a643e71fa7b81313c89ad873d91158edc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLALPHAFRAGMENTOP3ATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#a643e71fa7b81313c89ad873d91158edc">glAlphaFragmentOp3ATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac6e7be47ca475350583bb220ede8398d"></a><!-- doxytag: member="OgreGLATIFSInit.h::glBeginFragmentShaderATI_ptr" ref="ac6e7be47ca475350583bb220ede8398d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLBEGINFRAGMENTSHADERATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#ac6e7be47ca475350583bb220ede8398d">glBeginFragmentShaderATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae9814e6c0179dc0ac79499d8312aa788"></a><!-- doxytag: member="OgreGLATIFSInit.h::glBindFragmentShaderATI_ptr" ref="ae9814e6c0179dc0ac79499d8312aa788" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLBINDFRAGMENTSHADERATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#ae9814e6c0179dc0ac79499d8312aa788">glBindFragmentShaderATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aff166f57c569c3f39c2e61bd8bf67d29"></a><!-- doxytag: member="OgreGLATIFSInit.h::glColorFragmentOp1ATI_ptr" ref="aff166f57c569c3f39c2e61bd8bf67d29" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLCOLORFRAGMENTOP1ATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#aff166f57c569c3f39c2e61bd8bf67d29">glColorFragmentOp1ATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a0aa03f3894d0d42aa4602c4991376c17"></a><!-- doxytag: member="OgreGLATIFSInit.h::glColorFragmentOp2ATI_ptr" ref="a0aa03f3894d0d42aa4602c4991376c17" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLCOLORFRAGMENTOP2ATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#a0aa03f3894d0d42aa4602c4991376c17">glColorFragmentOp2ATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a36ac91ab5e5f6c8d0e955803f4c6edc4"></a><!-- doxytag: member="OgreGLATIFSInit.h::glColorFragmentOp3ATI_ptr" ref="a36ac91ab5e5f6c8d0e955803f4c6edc4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLCOLORFRAGMENTOP3ATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#a36ac91ab5e5f6c8d0e955803f4c6edc4">glColorFragmentOp3ATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a38f5e28762e4f9ff0902c568cfa8ee84"></a><!-- doxytag: member="OgreGLATIFSInit.h::glDeleteFragmentShaderATI_ptr" ref="a38f5e28762e4f9ff0902c568cfa8ee84" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLDELETEFRAGMENTSHADERATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#a38f5e28762e4f9ff0902c568cfa8ee84">glDeleteFragmentShaderATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2e8f1f618fec1442de15e6bd61267fb4"></a><!-- doxytag: member="OgreGLATIFSInit.h::glEndFragmentShaderATI_ptr" ref="a2e8f1f618fec1442de15e6bd61267fb4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLENDFRAGMENTSHADERATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#a2e8f1f618fec1442de15e6bd61267fb4">glEndFragmentShaderATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a78481bfe7a49faab3b4ce3019be0da03"></a><!-- doxytag: member="OgreGLATIFSInit.h::glGenFragmentShadersATI_ptr" ref="a78481bfe7a49faab3b4ce3019be0da03" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLGENFRAGMENTSHADERSATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#a78481bfe7a49faab3b4ce3019be0da03">glGenFragmentShadersATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abf69d0ea3c86f1de1828f72af54c1d16"></a><!-- doxytag: member="OgreGLATIFSInit.h::glPassTexCoordATI_ptr" ref="abf69d0ea3c86f1de1828f72af54c1d16" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLPASSTEXCOORDATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#abf69d0ea3c86f1de1828f72af54c1d16">glPassTexCoordATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a895a670f89172c12ffb5ea675682894c"></a><!-- doxytag: member="OgreGLATIFSInit.h::glSampleMapATI_ptr" ref="a895a670f89172c12ffb5ea675682894c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLSAMPLEMAPATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#a895a670f89172c12ffb5ea675682894c">glSampleMapATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aca19da1e21780d7678d2033afacb8f52"></a><!-- doxytag: member="OgreGLATIFSInit.h::glSetFragmentShaderConstantATI_ptr" ref="aca19da1e21780d7678d2033afacb8f52" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLSETFRAGMENTSHADERCONSTANTATIPROC <a class="el" href="OgreGLATIFSInit_8h.html#aca19da1e21780d7678d2033afacb8f52">glSetFragmentShaderConstantATI_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
